import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { UserCreateNestedOneWithoutPatientConversationsInputObjectSchema as UserCreateNestedOneWithoutPatientConversationsInputObjectSchema } from './UserCreateNestedOneWithoutPatientConversationsInput.schema'

const makeSchema = () => z.object({
  stage: z.string().optional(),
  aiHandoff: z.boolean().optional(),
  updatedAt: z.coerce.date().optional(),
  user: z.lazy(() => UserCreateNestedOneWithoutPatientConversationsInputObjectSchema)
}).strict();
export const PatientConversationCreateWithoutPatientInputObjectSchema: z.ZodType<Prisma.PatientConversationCreateWithoutPatientInput> = makeSchema() as unknown as z.ZodType<Prisma.PatientConversationCreateWithoutPatientInput>;
export const PatientConversationCreateWithoutPatientInputObjectZodSchema = makeSchema();
